<div class="row">
    <div class="col-md-12">
        <button data-toggle="modal" (click)="createNewCompanyForm()" data-target="#addNewCompany" type="button"
        class="btn btn-sm btn-custom mb-3">Add New Company</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number</th>
                        <th>Managing Director </th>
                        <th>Address</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let company of companies | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="">{{company.name}}</a></td>
                        <td>{{company.number}}</td>
                        <td>{{company.full_name}}</td>
                        <td>{{company.address}}, {{company.city}}, {{company.country}}, {{company.zip}}</td>
                        <td>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewCompany"
                                    (click)="editCompany(company)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="companies!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Company Form Modal------------------------>
<div id="addNewCompany" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Company</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditCompany()" [formGroup]="NewCompanyForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="name" type="text" class="form-control form-control-user"
                                id="company" placeholder="Company Name">
                            <div *ngIf="submitted && formControls.name.errors" class="errors">
                                <div *ngIf="formControls.name.errors.required">Company Name is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="number" type="text" class="form-control form-control-user"
                                id="number" placeholder="Company Number">
                            <div *ngIf="submitted && formControls.number.errors" class="errors">
                                <div *ngIf="formControls.number.errors.required">Company Number is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <select formControlName="manager_employee_id" class="form-control dropdown" id="manager">
                                <option value="" selected>Select Manager</option>
                                <option *ngFor="let m of managers;" value="{{m.employee_id}}">{{m.full_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.manager_employee_id.errors" class="errors">
                                <div *ngIf="formControls.manager_employee_id.errors.required">Manager is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="address" type="text" class="form-control form-control-user"
                                id="address" placeholder="Address">
                            <div *ngIf="submitted && formControls.address.errors" class="errors">
                                <div *ngIf="formControls.address.errors.required">Address is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="city" type="text" class="form-control form-control-user" id="city"
                                placeholder="City">
                            <div *ngIf="submitted && formControls.city.errors" class="errors">
                                <div *ngIf="formControls.city.errors.required">City is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="country" type="text" class="form-control form-control-user"
                                id="country" placeholder="Country">
                            <div *ngIf="submitted && formControls.country.errors" class="errors">
                                <div *ngIf="formControls.country.errors.required">Country is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3 mb-sm-0">
                            <input formControlName="zip" type="text" class="form-control form-control-user" id="zip"
                                placeholder="Zip Code">
                            <div *ngIf="submitted && formControls.zip.errors" class="errors">
                                <div *ngIf="formControls.zip.errors.required">Zip Code is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>